#include <iostream>

using namespace std;

int main ()
{
    long b,c;
    cin>>b>>c;
    long max=b;
    long nula=0;
    if((b+c)>=256)
    {
        cout<<nula;
    }
    else
    {
    if(max<c)
    {
        max=c;
    }
    max=256-max;
    if(max<0)
    {
        max=0;

    }
    cout<<max;
    }
	return 0;
}